Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.cas.ticketvalidator
Class AbstractTicketValidator

    java.lang.Object
      org.acegisecurity.providers.cas.ticketvalidator.AbstractTicketValidator

All Implemented Interfaces:
  TicketValidator, InitializingBean

Direct Known Subclasses:
  CasProxyTicketValidator

    public abstract class AbstractTicketValidator

extends Object
implements TicketValidator, InitializingBean

Convenience abstract base for `TicketValidator`s.

Version:
  $Id: AbstractTicketValidator.java,v 1.4 2005/11/17 00:56:29 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`AbstractTicketValidator()`

Method Summary
`void` | `afterPropertiesSet()`
`String` | `getCasValidate()` Mandatory URL to CAS' proxy ticket valiation service.
`ServiceProperties` | `getServiceProperties()`
`String` | `getTrustStore()` Optional property which will be used to set the system property `javax.net.ssl.trustStore`.
`void` | `setCasValidate(String casValidate)`
`void` | `setServiceProperties(ServiceProperties serviceProperties)`
`void` | `setTrustStore(String trustStore)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.acegisecurity.providers.cas.TicketValidator
`confirmTicketValid`

Constructor Detail

### AbstractTicketValidator

    public AbstractTicketValidator()

Method Detail

### setCasValidate

    public void setCasValidate(String casValidate)

### getCasValidate

    public String getCasValidate()

  Mandatory URL to CAS' proxy ticket valiation service.

  This is usually something like `https://www.mycompany.com/cas/proxyValidate`.

  Returns:
    the CAS proxy ticket validation URL

### setServiceProperties

    public void setServiceProperties(ServiceProperties serviceProperties)

### getServiceProperties

    public ServiceProperties getServiceProperties()

### setTrustStore

    public void setTrustStore(String trustStore)

### getTrustStore

    public String getTrustStore()

  Optional property which will be used to set the system property `javax.net.ssl.trustStore`.

  Returns:
    the `javax.net.ssl.trustStore` that will be set during bean initialization, or `null` to leave the system property unchanged

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.